/**
 * Klasse fr einen Knoten einer Liste nach Zentralabitur
 * @author Daniel Garmann
 * @version 18.08.2008
 */
public class QElement {
  private Object kContent;
  private QElement kNext;

  /**
   * Konstruktor
   */
  public QElement(Object pContent, QElement pNext) {
    kContent = pContent;
    kNext = pNext;
  }

  /**
   * Setter fr den Inhalt
   */
  public void setContent(Object pContent) {
    kContent = pContent;
  }

  /**
   * Getter fr den Inhalt
   */
  public Object content() {
    return kContent;
  }

  /**
   * Setter fr den Nachfolger
   */
  public void setNext(QElement pNext) {
    kNext = pNext;
  }

  /**
   * Getter fr den Nachfolger
   */
  public QElement next() {
    return kNext;
  }

}
