import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

/**
  *
  * description
  *
  * @version 1.0 from 04.03.2010
  * @author Daniel Garmann
  */

public class Gui extends JFrame {
  // Anfang Attribute
  private JTextField jtfTerm = new JTextField();
  private JButton jButton1 = new JButton();
  private JScrollPane jScrollPane1 = new JScrollPane();
    private JTextArea jtaZerlegung = new JTextArea("");
  // Ende Attribute

  public Gui (String title) {
    super (title);
    setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);
    int frameWidth = 352;
    int frameHeight = 364;
    setSize(frameWidth, frameHeight);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = (d.width - getSize().width) / 2;
    int y = (d.height - getSize().height) / 2;
    setLocation(x, y);
    Container cp = getContentPane();
    cp.setLayout(null);
    // Anfang Komponenten
    jtfTerm.setBounds(32, 16, 249, 24);
    jtfTerm.setText("x=(a+b-2*(8/2^y)+2)");
    cp.add(jtfTerm);
    jButton1.setBounds(88, 48, 139, 25);
    jButton1.setText("zerlegen");
    jButton1.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        jButton1_ActionPerformed(evt);
      }
    });
    cp.add(jButton1);
    jScrollPane1.setBounds(32, 80, 249, 225);
    cp.add(jScrollPane1);
    jtaZerlegung.setText("");
    jtaZerlegung.setBounds(-2, -2, 185, 89);
    jScrollPane1.setViewportView(jtaZerlegung);
    // Ende Komponenten
    setResizable(false);
    setVisible(true);
  }

  // Anfang Methoden


  public void jButton1_ActionPerformed(ActionEvent evt) {
    jtaZerlegung.setText("");
    Queue q = Termauswerter.zerlege(jtfTerm.getText());
    while (!q.isEmpty()) {
      jtaZerlegung.append((String)q.front()+"\n");
      q.dequeue();
    }
  }

  // Ende Methoden



  public static void main(String[] args) {
    new Gui("Gui");
  }
}
